Package org.eclipse.ui.texteditor

# Interface ITextEditorExtension3

All Known Implementing Classes:
  `AbstractDecoratedTextEditor`, `AbstractTextEditor`, `StatusTextEditor`, `TextEditor`

public interface ITextEditorExtension3
Extension interface for `ITextEditor`. Adds the following functions:

- insert mode management

Since:
  3.0

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`ITextEditorExtension3.InsertMode`
Constitutes entities to enumerate the editor insert modes.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ITextEditorExtension3.InsertMode`
`INSERT`
Represents the non-smart insert mode.
`static final ITextEditorExtension3.InsertMode`
`SMART_INSERT`
Represents the smart insert mode.

## Method Summary

Modifier and Type
Method
Description
`ITextEditorExtension3.InsertMode`
`getInsertMode()`
Returns the current input mode of this editor.
`boolean`
`isChangeInformationShowing()`
Returns the quick diff display state.
`void`
`setInsertMode(ITextEditorExtension3.InsertMode mode)`
Sets the insert mode of this editor.
`void`
`showChangeInformation(boolean show)`
Sets the display of quick diff information.

## Field Details

### INSERT

static final ITextEditorExtension3.InsertMode INSERT
Represents the non-smart insert mode.

### SMART_INSERT

static final ITextEditorExtension3.InsertMode SMART_INSERT
Represents the smart insert mode.

## Method Details

### getInsertMode

ITextEditorExtension3.InsertMode getInsertMode()
Returns the current input mode of this editor.

Returns:
  the current input mode of this editor

### setInsertMode

void setInsertMode(ITextEditorExtension3.InsertMode mode)
Sets the insert mode of this editor.

Parameters:
  `mode` - the new insert mode
Throws:
  `IllegalArgumentException` - if `mode` is not a legal insert mode for this editor

### showChangeInformation

void showChangeInformation(boolean show)
Sets the display of quick diff information.

Parameters:
  `show` - `true` if quick diff information should be shown, `false` otherwise

### isChangeInformationShowing

boolean isChangeInformationShowing()
Returns the quick diff display state.

Returns:
  `true` if quick diff info is displayed, `false` otherwise